var weekday = new Array("Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday");
var monthname = new Array("Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec");

function GMTnow () {
	var time = new Date();
	GMT = new Date(time.getTime() + time.getTimezoneOffset() * 60000);
	return GMT;
}

function GMTOff(offset){ // offset hours
	var gmt = GMTnow();
	var time = new Date(gmt.getTime() + offset * 3600000);
	return time
}

function formatTime(t){
	return t < 10 ? "0" + t : t;
}

function format(time){
	if(time == null){
		return "";
	}
	var string = "";
	string += weekday[time.getDay()] + " ";
	string += monthname[time.getMonth()] + " ";
	string += time.getDate() + " ";
	string += formatTime(time.getHours()) + ":";
	string += formatTime(time.getMinutes()) + ":";
	string += formatTime(time.getSeconds()) + " ";
	string += time.getFullYear();
	return string;
}

var timer = null;
var timerRunning = false;

function stopClock(){
	clearTimeout(timer)
}

function updateClock(clock, time){
	if(clock == null) return;
	var cn = document.getElementById(clock);
	if(cn == null) return;
	var oldNode = cn.firstChild;
	var newNode = document.createTextNode(format(time));
	if(oldNode != null){
		cn.replaceChild(newNode, oldNode);
	}else{
		cn.appendChild(newNode);
	}
}

function showClock(){
	var local = new Date();
	var gmt = GMTnow();
	var london = gmt;
	var bj = GMTOff(8);
	var la = GMTOff(-8);
	updateClock("c-localtime", local);
	updateClock("c-bjtime", bj);
	updateClock("c-londontime", london);
	updateClock("c-latime", la);
	timer = setTimeout("showClock()", 1000);
}

function startClock(){
	stopClock();
	showClock();
}

