var tips;

loadTips();

var tip = readCookie("tips");
if(!tip){
	tip = -1;
}

function loadTips(){
	var url = "/mediawiki/index.php/Tips?action=raw";
        var req = getXMLHTTPInstance();
	req.onreadystatechange = function(){
		// only if req shows "loaded" && status is "OK"
		if (req.readyState != 4 || req.status != 200 || !req.responseText) {
			return;
		}
		tips = req.responseText.split(/== .* ==/);
		if(tips){ // remove the __NOTOC__
			var tmp = new Array();
			for(var i=0; i<tips.length-1; i++){
				tmp[i] = tips[i+1];
			}
			tips = tmp;
		}
	}
        req.open("GET", url, true);
        req.send(null);
}

function setTextContent(node, content){
        var oldNode = node.firstChild;
	var newNode = document.createTextNode(content);
        if(oldNode != null){
                node.replaceChild(newNode, oldNode);
        }else{
                node.appendChild(newNode);
        }
}

function setHTMLContent(node, content){
	node.innerHTML = content;
}

function setContent(tip){
	var content = "Tips not loaded.";
	if(tips){
		if(tip < 0 || tip >= tips.length){
			tip = 0;
		}
		content = tips[tip];
	}
        var cn = document.getElementById("tips-content");
	setHTMLContent(cn, content);
}

function saveProcess(tip){
        createCookie("tips", tip, 10000);
}

function closeTip(){
	turnOffTip();
	var hide = getHideTipOption();
	saveHideTipOption(hide);
}

function turnOffTip(){
	hideByID("tips");
}

function turnOnTip(){
	showByID("tips");
}

function getHideTipOption(){
	return document.getElementById("tip_hide").checked;
}

function setHideTipOption(value){
	document.getElementById("tip_hide").checked = value;
}

function saveHideTipOption(hide){
	createCookie("hideTip", hide, 10000);
}

function loadHideTipOption(){
	return readCookie("hideTip");
}

function showTip(){
	var hideOption = loadHideTipOption();
	if(hideOption == "true"){
		hideOption = true;
	}else{
		hideOption = false;
	}
	setHideTipOption(hideOption);
	turnOnTip();
	setContent(tip);
	saveProcess(tip);
}

function showPreviousTip(){
	tip--;
	if(tip < 0){
		tip = tips.length - 1;
	}
	showTip();	
}

function showNextTip(){
	tip++;
	if(tip >= tips.length){
		tip = 0;
	}
	showTip();
}

function showTips(){
	var hideTip = loadHideTipOption();
	var today = readCookie("tipToday");
	if(hideTip == "true" || today != null){
		turnOffTip();
		return;
	}
	showNextTip();
	createCookie("tipToday", "showed", 1);
}

